1. API
AIO Docs
EN
  • EN
  • ZH
  • Overview
  • Create API Key
  • Callback
  • Security
  • Pay-in
  • Fiat Pay-in
  • Pay-out
  • API
    • Before You Begin
    • Fiat APIs
      • Fiat Pay-in Overview
      • Create KYC
      • List KYC
      • Supported Fiat Currencies
      • Crypto Map
      • Payment Methods/Codes
      • Fiat Deposit Limits
      • Fiat Pay-in Quote
      • Create Fiat Pay-in Order
      • List Fiat Pay-in Orders
    • Get Txs
      GET
    • Get Sub Txs
      GET
    • Get Tx Info
      GET
    • Create Payin Tx
      POST
    • Create Payin Longtime Tx
      POST
    • Create Payout Tx
      POST
    • Price
      GET
    • Calculate price
      GET
  • Schemas
    • Schemas
      • CallbackReqContentData
      • CallbackSubTxData
      • CallbackTxData
      • CallbackType
      • GetSubTxData
      • SubTxDataExt
      • SubTxStatus
      • GetSubTxDataResponse
      • CreateFiatKycRequest
      • CreateFiatKycResponse
      • Chain
      • ErrorResponseModel
      • PayTxData
      • PayTxStatusData
      • PayinLongTimeTxParams
      • PayinTxParams
      • PayoutSubTxParams
      • PayoutTxParams
      • PriceData
      • RedisKeyData
      • SubTxData
      • SuceedResponseModel
      • TestData
      • Token
      • TxData
      • TxDetailsData
      • TxStatus
      • TxType
      • VsToken
      • TestDataResponse
      • RedisKeyDataResponse
      • PriceDataResponse
      • PayTxDataResponse
      • PayTxStatusDataResponse
      • TxDetailsDataResponse
      • TxDataResponse
  1. API

Create Payin Longtime Tx

POST
/tx/pay-in-longtime
Long-term transactions
All income from transactions in the Pending state will be transferred to the account wallet
If there is no income from a transaction within 90 days, the status will be changed to Overdue
If there is new income, the expiration time will be reset to 90 days
When a transaction expires, if there is income, the status will be changed to Completed
The transaction can be closed manually, and the transaction status will be changed to Close

Request

Body Params application/json

Examples

Responses

🟢200OK
application/json
Successful Response
Bodyapplication/json

🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.aio.cash/v2/tx/pay-in-longtime' \
--header 'Content-Type: application/json' \
--data '{
    "vs_token": "USD",
    "chain": "Bitcoin",
    "bind_info": "string"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "msg": "ok",
    "data": {
        "txid": "string",
        "type": "Pay In",
        "status": "Pending Approval",
        "vs_token": "USD",
        "vs_amount": "string",
        "usd": "string",
        "chain": 2,
        "token": "BTC",
        "amount": "string",
        "actual_amount": "string",
        "swap_chain": 2,
        "swap_token": "BTC",
        "swap_amount": "string",
        "addr": "string",
        "gas": "string",
        "fee": "string",
        "created_at": "2019-08-24T14:15:22.123Z",
        "overdue_at": "2019-08-24T14:15:22.123Z",
        "is_longtime_tx": true,
        "total_fee": "string",
        "total_fee_usd": "string"
    }
}
Modified at 2026-05-18 08:39:10
Previous
Create Payin Tx
Next
Create Payout Tx
Built with